GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtPredCtrl Class Reference
GTPin: GEN Architecture

An attribute that specifies whether and how the instruction is predicated. More...

`#include <gt_ins_fields.h>`

## Public Member Functions
constexpr | GtPredCtrl (GED_PRED_CTRL v=GED_PRED_CTRL_INVALID)
| Conversion constructor.
constexpr | operator GED_PRED_CTRL () const
| Conversion operator.
constexpr bool | IsNormal () const
| Return true for normal (void) predication.
constexpr bool | IsSequential () const
| Return true for sequential predication.
const char * | ToString () const
| Return string representation.

## Detailed Description

An attribute that specifies whether and how the instruction is predicated.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT